org.bouncycastle.crypto.digests

## Class SHA384Digest

- java.lang.Object
- - org.bouncycastle.crypto.digests.LongDigest
  - - org.bouncycastle.crypto.digests.SHA384Digest

All Implemented Interfaces:
  Digest, ExtendedDigest

    public class SHA384Digest
    extends LongDigest

FIPS 180-2 implementation of SHA-384.

             block  word  digest
     SHA-1   512    32    160
     SHA-256 512    32    256
     SHA-384 1024   64    384
     SHA-512 1024   64    512

### Field Summary

### Fields inherited from class org.bouncycastle.crypto.digests.LongDigest

`H1, H2, H3, H4, H5, H6, H7, H8`

### Constructor Summary

Constructors
Constructor and Description
`SHA384Digest()` Standard constructor
`SHA384Digest(SHA384Digest t)` Copy constructor.

### Method Summary

Methods
`int` `doFinal(byte[] out, int outOff)` close the digest, producing the final digest value.
`java.lang.String` `getAlgorithmName()` return the algorithm name
`int` `getDigestSize()` return the size, in bytes, of the digest produced by this message digest.
`void` `reset()` reset the chaining variables

### Methods inherited from class org.bouncycastle.crypto.digests.LongDigest

`finish, getByteLength, processBlock, processLength, processWord, update, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SHA384Digest

    public SHA384Digest()

Standard constructor

#### SHA384Digest

    public SHA384Digest(SHA384Digest t)

Copy constructor. This will copy the state of the provided message digest.

### Method Detail

#### getAlgorithmName

    public java.lang.String getAlgorithmName()

Description copied from interface: `Digest`
return the algorithm name

Returns:
  the algorithm name

#### getDigestSize

    public int getDigestSize()

Description copied from interface: `Digest`
return the size, in bytes, of the digest produced by this message digest.

Returns:
  the size, in bytes, of the digest produced by this message digest.

#### doFinal

    public int doFinal(byte[] out,
              int outOff)

Description copied from interface: `Digest`
close the digest, producing the final digest value. The doFinal call leaves the digest reset.

Parameters:
  `out` - the array the digest is to be copied into.
  `outOff` - the offset into the out array the digest is to start at.

#### reset

    public void reset()

reset the chaining variables

Specified by:
  `reset` in interface `Digest`
Overrides:
  `reset` in class `LongDigest`